<html>
    <body>

        <div id="files-block">
            <div style="color: green" data-th-each="files : ${data}">
                <div style="color: green" data-th-each="file : ${files}">
                    [[ ${file.dateTime} ]] - [[ ${file.name} ]]
                </div>
            </div>
        </div>

        <script>
            window.addEventListener('load', function () {
                var es = new EventSource('http://localhost:8080/files-updates');
                var updateBlock = document.getElementById('files-block');
                es.addEventListener('message', function (message) {
                    console.log(message);
                    updateBlock.innerHTML = message.data;
                })
            })
        </script>
    </body>
</html>